geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ga...@apache.org
Subject svn commit: r982305 - in /geronimo/tck/branches/3.0: jaxb-tck-runner/run.sh stax-tck-runner/run.sh
Date Wed, 04 Aug 2010 15:34:13 GMT
Author: gawor
Date: Wed Aug  4 15:34:12 2010
New Revision: 982305

URL: http://svn.apache.org/viewvc?rev=982305&view=rev
Log:
catch if mvn fails

Modified:
    geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh   (contents, props changed)
    geronimo/tck/branches/3.0/stax-tck-runner/run.sh   (contents, props changed)

Modified: geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh
URL: http://svn.apache.org/viewvc/geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh?rev=982305&r1=982304&r2=982305&view=diff
==============================================================================
--- geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh (original)
+++ geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh Wed Aug  4 15:34:12 2010
@@ -14,7 +14,7 @@ control_c() {
 init() {
 
   mvn install -q -DskipTests=true
-
+  if [ "$?" -ne 0 ]; then echo "Error pulling in JAXB dependencies"; exit 1; fi
 }
 
 startAgent() {

Propchange: geronimo/tck/branches/3.0/jaxb-tck-runner/run.sh
------------------------------------------------------------------------------
    svn:executable = *

Modified: geronimo/tck/branches/3.0/stax-tck-runner/run.sh
URL: http://svn.apache.org/viewvc/geronimo/tck/branches/3.0/stax-tck-runner/run.sh?rev=982305&r1=982304&r2=982305&view=diff
==============================================================================
--- geronimo/tck/branches/3.0/stax-tck-runner/run.sh (original)
+++ geronimo/tck/branches/3.0/stax-tck-runner/run.sh Wed Aug  4 15:34:12 2010
@@ -9,6 +9,7 @@ STAX_HOME=$STAX_HOME/com/bea/ts
 BASE_DIR=$PWD
 
 mvn install -q -DskipTests=true
+if [ "$?" -ne 0 ]; then echo "Error pulling in STAX dependencies"; exit 1; fi
 
 STAX_CLASSPATH=
 for file in $STAX_HOME/lib/*.jar

Propchange: geronimo/tck/branches/3.0/stax-tck-runner/run.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message